OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
PointIndex< IntType_, Kind > Struct Template Reference

Integer wrapper, required to distinguish PointIndexGrid and PointDataGrid from Int32Grid and Int64Grid. More...

`#include <openvdb/Types.h>`

## Public Types
using | IntType = IntType_

## Public Member Functions
| PointIndex (IntType i=IntType(0))
template<typename T >
| PointIndex (T i)
| Explicit type conversion constructor.
| operator IntType () const
template<typename T >
PointIndex | operator+ (T x)
| Needed to support the `(zeroVal<PointIndex>() + val)` idiom.

## Detailed Description

template<typename IntType_, Index Kind>
struct openvdb::v11_0::PointIndex< IntType_, Kind >

Integer wrapper, required to distinguish PointIndexGrid and PointDataGrid from Int32Grid and Int64Grid.

Note
  `Kind` is a dummy parameter used to create distinct types.

## Member Typedef Documentation

## ◆ IntType

template<typename IntType_ , Index Kind>

using IntType = IntType_

## Constructor & Destructor Documentation

## ◆ PointIndex() [1/2]

template<typename IntType_ , Index Kind>

PointIndex | ( | IntType | i = `IntType(0)` | ) |
| inline

## ◆ PointIndex() [2/2]

template<typename IntType_ , Index Kind>
template<typename T >

PointIndex | ( | T | i | ) |
| inline explicit

Explicit type conversion constructor.

## Member Function Documentation

## ◆ operator IntType()

template<typename IntType_ , Index Kind>

operator IntType | ( |  | ) | const
| inline

## ◆ operator+()

template<typename IntType_ , Index Kind>
template<typename T >

PointIndex operator+ | ( | T | x | ) |
| inline

Needed to support the `(zeroVal<PointIndex>() + val)` idiom.